﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication333
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            NwindDataSet nwind = new NwindDataSet();
            NwindDataSetTableAdapters.Order_DetailsTableAdapter ordadp = new NwindDataSetTableAdapters.Order_DetailsTableAdapter();
            NwindDataSetTableAdapters.OrdersTableAdapter oradp = new NwindDataSetTableAdapters.OrdersTableAdapter();
            oradp.Fill(nwind.Orders);
            ordadp.Fill(nwind.Order_Details);
            xamDataGrid1.DataSource = nwind.Orders.DefaultView;
        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            if (e.FieldLayout.Key == "Order Details")
            {
                foreach (Field f in e.FieldLayout.Fields)
                {
                    f.Label = f.Name.Replace("ID", "Idenity");
                }
            }
        }
    }
}
